/*
 * Class READ_WRITE_LOCK
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_667 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_667 [] = {0xFF01,1551,666,0xFFFF};
static const EIF_TYPE_INDEX egt_2_667 [] = {0xFF01,666,0xFFFF};
static const EIF_TYPE_INDEX egt_3_667 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_667 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_667 [] = {0xFF01,666,0xFFFF};
static const EIF_TYPE_INDEX egt_6_667 [] = {0xFF01,666,0xFFFF};
static const EIF_TYPE_INDEX egt_7_667 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_667 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_667 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_667 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_667 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_667 [] = {0xFF01,666,0xFFFF};


static const struct desc_info desc_667[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_667), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_667), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_667), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_667), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_667), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_667), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_667), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_667), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_667), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_667), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_667), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_667), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0535 /*666*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_667), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16191, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16192, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16194, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16195, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16198, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16199, 0},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16201, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16204, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16205, 0xFFFFFFFF},
};
void Init667(void)
{
	IDSC(desc_667, 0, 666);
	IDSC(desc_667 + 1, 1, 666);
	IDSC(desc_667 + 32, 791, 666);
	IDSC(desc_667 + 34, 918, 666);
}


#ifdef __cplusplus
}
#endif
